Skip site navigation (1)Skip section navigation (2)
Date:      Wed, 6 May 2020 13:51:44 +0100
From:      Ottavio Caruso <ottavio2006-usenet2012@yahoo.com>
Cc:        freebsd-questions@freebsd.org
Subject:   Re: pkg-static update failed - FreeBSD.meta has wrong version 2
Message-ID:  <CAEJNuHyMnc-+66ByYV==Am6aCqKFTBh9SY74H6TyVGU3CE9w7Q@mail.gmail.com>
In-Reply-To: <CA1991B5-2BD1-4BAA-BF12-B4915157F543@kukulies.org>
References:  <CA1991B5-2BD1-4BAA-BF12-B4915157F543@kukulies.org>

Next in thread | Previous in thread | Raw E-Mail | Index | Archive | Help
On Wed, 6 May 2020 at 13:14, Christoph Kukulies <kuku@kukulies.org> wrote:
>
> I have a FreeBSD-11.0 installed on a VM and was trying to install some pa=
ckages.
>
> pkg search already failed with some error saying FreeBSD.meta has wrong v=
ersion 2.
>
> So I decided to upgrade to FreeBSD 12.1
>
> This seems to have worked:
>
> uname -a
>
> FreeBSD fbsd 12.1-RELEASE-p3 FreeBSD 12.1-RELEASE-p3 GENERIC. amd64
>
> But trying to update pkg still fails:
>
> Updating FreeBSD repository catalogue...
> Fetching meta.txz: . done
> repository FreeBSD has no meta file, using default settings
> Fetching packagesite.txz: .......... done
> Unable to open created repository FreeBSD
> Unable to update repository FreeBSD
> Error updating repositories!
> y meta /var/db/pkg/FreeBSD.meta has wrong version 2
> pkg-static: repository meta /var/db/pkg/FreeBSD.meta has wrong version 2
> pkg-static: Repository FreeBSD load error: meta cannot be loaded No error=
: 0
>
>
> I=E2=80=99m clueless now.

What's your:

pkg -vv

?

Maybe it's pointing to the wrong repos.

--=20
Ottavio Caruso



Want to link to this message? Use this URL: <http://docs.FreeBSD.org/cgi/mid.cgi?CAEJNuHyMnc-+66ByYV==Am6aCqKFTBh9SY74H6TyVGU3CE9w7Q>